### Enumeration

# Qmi LocSatelliteValidInformation

since: 1.22

#### Declaration

    flags Qmi.LocSatelliteValidInformation

#### Description [src]

Which information about the satellite is valid.

Available since: 1.22

#### Members

`QMI_LOC_SATELLITE_VALID_INFORMATION_SYSTEM`

  System,.

  - Value: `1`
  - Available since: 1.22
`QMI_LOC_SATELLITE_VALID_INFORMATION_GNSS_SATELLITE_ID`

  GNSS Satellite ID.

  - Value: `2`
  - Available since: 1.22
`QMI_LOC_SATELLITE_VALID_INFORMATION_HEALTH_STATUS`

  Health status.

  - Value: `4`
  - Available since: 1.22
`QMI_LOC_SATELLITE_VALID_INFORMATION_PROCESS_STATUS`

  Process status.

  - Value: `8`
  - Available since: 1.22
`QMI_LOC_SATELLITE_VALID_INFORMATION_SATELLITE_INFO_MASK`

  Satellite info mask.

  - Value: `16`
  - Available since: 1.22
`QMI_LOC_SATELLITE_VALID_INFORMATION_ELEVATION`

  Elevation.

  - Value: `32`
  - Available since: 1.22
`QMI_LOC_SATELLITE_VALID_INFORMATION_AZIMUTH`

  Azimuth.

  - Value: `64`
  - Available since: 1.22
`QMI_LOC_SATELLITE_VALID_INFORMATION_SIGNAL_TO_NOISE_RATIO`

  Signal to noise ratio.

  - Value: `128`
  - Available since: 1.22

#### Type functions

###### qmi_loc_satellite_valid_information_build_string_from_mask

Builds a string containing a comma-separated list of nicknames for each `QmiLocSatelliteValidInformation` in `mask`.

since: 1.22